Subject: RE: New net release - problems with make and gdb
From: "Richard Stanton" <[email-masked]>
To: "Tim Prince" <[email-masked]>
Cc: "Cygwin Mailing List" <[email-masked]>
Date: Sat, 22 Apr 2000 23:55:23 -0700

That was it. Thanks.

After installing the new release, c: was mounted (as /) in binmode, whereas
previously it had been mounted in text mode. Changing the mount back to
textmode allows make to run properly.

Having said all that, I get the impression from this group that I "ought" to
be mounting everything in binmode. Is this correct? If so, why?

Thanks a lot.

Richard Stanton

> -----Original Message-----
> From: Tim Prince [mailto:[email-masked]]
> Sent: Saturday, April 22, 2000 11:18 PM
> To: Richard Stanton; [email-masked]
> Subject: Re: New net release - problems with make and gdb
>
>
> That too looks like some mixup relative to binary and text
> mounts.  I managed to introduce text mounts where there were
> none on my first installation attempt.  Again on my third
> attempt, trying to install under W95 on a dual boot machine with
> the net release already installed successfully on NTFS under
> W2K.  But on the working installation I haven't seen any make
> failures, using makefiles which never ran consistently before in
> any form of Windows.
>
> ----- Original Message -----
> From: "Richard Stanton" <[email-masked]>
> To: <[email-masked]>
> Sent: Saturday, April 22, 2000 10:35 PM
> Subject: New net release - problems with make and gdb
>
>
> > I've just installed the new net release. Two problems so far:
> >
> > 1) gdb - minor: If I type, at the command line, "gdb
> progname", nothing
> > seems to happen. It works OK in an EMACS window. Also, why is
> the gdb
> > program/archive so huge?
> >
> > 2) make - major, as it means all my makefiles don't work: I
> have a makefile
> > that starts:
> >
> > DEBUGFLAG= 0
> >
> > ifeq ($(DEBUGFLAG),1)
> > CFLAGS= -Wall -g -mno-cygwin -I/projects/h
> > [etc.]
> >
> > This used to run fine under the old release, but now when I
> run make I get
> > the error messages:
> >
> > c:\projects\xll>make rhs.xll
> > makefile:6: Extraneous text after `ifeq' directive
> > makefile:10: Extraneous text after `else' directive
> > makefile:14: Extraneous text after `endif' directive
> > makefile:30: *** commands commence before first target.  Stop.
> >
> > Note: line 6 is the one with the ifeq command in it.
> >
> > Richard Stanton
> >
> >
> > --
> > Want to unsubscribe from this list?
> > Send a message to [email-masked]
> >
>
>

--
Want to unsubscribe from this list?
Send a message to [email-masked]